/*------------------------------------*\
    $Base
\*------------------------------------*/

* {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}

body {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 16px;
	background-color: white;
}

/* En-tête */

h1{
	font-family: 'Permanent Marker', cursive;
	width: 200px;
	padding: 0 0 0 10px;
}

div{
	background-color: black;
}

a {
	transition: all 0.1s ease-in;
	text-decoration: none;
	color: white;
}

a:hover {
	transition: all 0.1s ease-in;
	text-decoration: none;
	color: #006eff;
}

li.menu {
	list-style: none;
	text-transform: uppercase;
	margin: 1px 0 10px 2px;
	background-color: black;
}

header{
	background-color: black;
	height: 50px;
}

nav{
	background-color: black;
}

#logos{
	display: flex;
	justify-content: flex-end;
	position: absolute;
	top: 0;
	right: 0;
}

.icone{
	width: 30px;
	position: relative;
	top: 10px;
	right: 0;
}

#contenu{
	background-color: white;
}

/* Aside */

.tri-collection, #tri{
	background-color: white;
}

.tri-collection label {
	text-transform: uppercase;
	color: #666;
	margin-bottom: 5px;
	font-size: 12px;
}

.tri-collection select {
	padding: 5px;
	border-radius: 5px;
	display: block;
	background-color: white;
}

#conteneur{
	background-color: white;
}
aside{
	padding: 0 5px 0 5px;
}

/* produits */
div.article, div.article-image, div.article-infos, h5, h6{
	background-color: white;
	color: black;
}

.article-image img {
	max-width: 150px; /* Afin d'éviter les débordement des images */
	display: inline;
}
#produits{
	display: flex;
	flex-wrap: wrap;
	justify-content: space-around;
	flex: 1 1 100px;
	background-color: white;
}

.article-overlay{
	opacity: 0;
	color: white;
	background: #006eff;
	padding: 5px 0;
	text-align: center;
	margin: 0 25%;
	position: relative;
	top: -115px;
	left: 5px;
	width: 50px;
	height: 25px;
}

.article:hover .article-overlay{
	opacity: 1;
}

/* Pied de page */

.credit, h3{
	background-color: black;
	color: white;
}

p, .foot_text a, .footerli a{
	color: #d3d3d3;
}

h3{
	padding: 10px;
	text-transform: uppercase;
}
footer{
	background-color: black;
}
p{
	padding: 5px 0 5px 10px;
}
.foot_text{
	margin: 5px 0 5px 10px;
	background-color: black;
}
.footerli{
	padding: 5px 0 5px 10px;
	background-color: black;
}
.credit{
	padding: 30px 0 30px 10px;
	color: #d3d3d3;
	background-color: black;
}
.footer_link{
	color: #aaa
}
.footer_link:hover{
	color: white;
}

/*------------------------------------*\
    $Version Tablette
\*------------------------------------*/
@media screen and (min-width: 480px) and (max-width: 960px){

	#footer_contenu{
		display: flex;
		flex-direction: row;
		justify-content: space-between; 
	}
	.footer_contenu section{
		width: 254px;
	}

	nav ul{
		display: flex;
		flex-direction: row;
		justify-content: space-around; 
		background-color: black;
	}
	#produits{
		width: 60%;
		display: inline-grid;
		grid-template-rows: 250px 250px 250px;
		grid-template-columns: 33% 33%;
		grid-gap: 0 5px;
		align-items: center;
	}
	aside{
		display: inline-block;
		width: 39%;
		position: relative;
		top: -60px;
	}
	.tri-collection select {
		border-radius: 5px;
		display: block;
		background-color: white;
		width: 110%;
	}

}
/*------------------------------------*\
    $Version Desktop
\*------------------------------------*/
@media screen and (min-width: 961px) {
	footer{
		height: 300px;
	}
	#footer_contenu{
		display: flex;
		flex-direction: row;
		justify-content: space-between;
		position: relative;
		top: 20px;
	}

	.footer_contenu section{
		width: 33%;
	}
	nav{
		width: 20%;
	}
	nav ul{
		display: flex;
		flex-direction: column;
		justify-content: space-around; 
		background-color: black;
	}

	#produits{
		width: 58%;
		display: inline-grid;
		grid-template-rows: 250px 250px;
		grid-template-columns: 20% 20% 20%;
		grid-gap: 0 5px;
		align-items: center;
		text-align: center;
	}

	aside{
		display: flex;
		width: 25%;
		height: 300px;
		position: relative;
		top: 25px;
	}

	.tri-collection select {
		border-radius: 5px;
		display: block;
		background-color: white;
		width: 200%;
	}
	#contenu{
		display: flex;
	}
	#contenu nav{
		order: 1;
	}
	#contenu aside{
		order: 3;
	}
	#contenu section#produits{
		order: 2;
	}
}





